package info.bukova.isspst.services.fulltext;

import org.apache.poi.POIXMLTextExtractor;
import org.apache.poi.xssf.extractor.XSSFExcelExtractor;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

import java.io.IOException;
import java.io.InputStream;

/**
 * @author Pepa Rokos
 */
public class ExcelExtractor extends AbstractOfficeExtractor implements Extractor {

	@Override
	protected POIXMLTextExtractor createExtractor(InputStream is) throws IOException {
		return new XSSFExcelExtractor(new XSSFWorkbook(is));
	}
}
